apiVersion: cli.kyverno.io/v1alpha1
kind: Test
metadata:
  name: require-uid-greater-1000
policies:
  - ../../../policies/require-uid-greater-1000.yaml
resources:
  - bad-resource.yaml
  - good-resource.yaml
results:
  - policy: require-uid-greater-1000
    rule: validate-userid
    kind: Pod
    resources:
      - require-uid-greater-than-1000-good-1
      - require-uid-greater-than-1000-good-2
    result: pass
  - policy: require-uid-greater-1000
    rule: validate-userid
    kind: Pod
    resources:
      - require-uid-greater-than-1000-bad-1
      - require-uid-greater-than-1000-bad-2
    result: fail
